#!/bin/bash

WGET=wget
AWK=awk
CAT=cat

RELEASE="http://10.0.2.40/eagleRelease/eagleX-linux-pool.gtk.x86-current.tgz"
RELEASE_MD5=$RELEASE.md5

if [ -d "update-pool" ]; then
	echo ""
else
	mkdir update-pool
fi

if [ -f "update-pool/md5" ]; then
	mv update-pool/md5 update-pool/md5.old
else 
	touch update-pool/md5.old
fi

$WGET -q -O update-pool/md5 $RELEASE_MD5 update-pool
MD5_OLD=`$CAT update-pool/md5.old | $AWK {'print $1'}`
MD5=`$CAT update-pool/md5 | $AWK {'print $1'}`


if [ "$MD5_OLD" == "$MD5" ]; then
	echo "Kein Update!"
else
	rm -rf eagleX-linux-pool.gtk.x86
	echo "Download..."
	wget -O eagleX.tgz $RELEASE
	echo "Entpacken..."
	tar xvfz eagleX.tgz >> /dev/null
	rm -f eagleX.tgz
fi

cd eagleX-linux-pool.gtk.x86/eagleX
chmod a+x eagleX
chmod a+x eagleX.sh
./eagleX.sh
cd ../..

